Subject: bug#57113: 29.0.50; Confusing icon customization interface

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 13 Aug 2022 14:35:46 +0200

Po Lu <[email-masked]> writes:

> How are they complicated, and why can't they be made simpler?

See icons.el.

> I've never seen another system where icons have to be so complicated
> that there is no straightforward way for a user to make the icons
> images.

You've probably never seen another system that had just introduced a new
language level mechanism for icons a couple weeks earlier, either?

Like I said, fixing Customize to be less awful would be very welcome.
Please go ahead.